PANDA_SETOBJECTPROPERTY(3)

NAME
panda_setobjectproperty - set a property value for an object

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_setobjectproperty (panda_object *target, int scope, int propid, int propval);

DESCRIPTION

Properties are a way of specifing things about objects. These properties can have either a cascade scope (they affect all subsequently created objects that are children of that object) -- panda_scope_cascade, or local (they only occur for that object) -- panda_scope_local. Possible properties are defined in the panda_const_properties manual page.

RETURNS

None

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_object *obj; panda_init(); document = panda_open("filename.pdf", "w"); obj = panda_newobject(document, panda_object_normal); panda_setproperty(obj, panda_scope_cascade, panda_object_property_compress, panda_true);

SEE ALSO

panda_newobject, panda_const_properties

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.